Windows XP Vulnerabilities On The Up, Warns Kaspersky

Security companies have been firing off warnings about Windows XP vulnerabilities for years now, and with the vintage OS now unsupported, it has become even easier to hack.

The platform has not been receiving updates since its retirement in April 2014, and even though a lot of users still run it to this very day, the security flaws in Windows XP that remain unpatched are increasing in number every passing month.

Security vendor Kaspersky has put up their new report, which highlights issues with ATMs and ticketing systems that are powered by Windows XP.

These, the company says, could be the main target of attacks in the near future, and interestingly, all these machines use Windows XP Embedded, which is a special version of the operating system created for these devices.

As explained:

“As most of these systems are running Windows XP and also suffer from frail physical security, they are incredibly vulnerable by default.”

The fear is that these systems are set to become so much vulnerable in the next few months, as the security flaws pile up. The need being to treat these embedded machines with extra care until they are upgraded to a newer platform.

It is an interesting read if you or your organization is responsible for machines like these, including ATMs and ticketing systems, so give it a whirl at the link above.

Please Leave Your Comments Below...